Bug 11430 - LILO fails to boot on powerup
LILO fails to boot on powerup
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
6.2
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-15 22:46 EDT by Eric
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-22 20:54:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric 2000-05-15 22:46:41 EDT
I am running an AMD-K62 300, with Iwill XA100 motherboard.  win98 was
installed prior to linux.  When I initially powerup the machine, LILO (or
something) apparently freaks out.  The last things I see on the screen is
that something is trying to to search for a boot record on the floppy.
Then the floppy drive motor LED lights (and stays lit) and the screen
displays countless '1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0'  This is
continually output until I put in the linux boot disk and reset the
machine.
With the linux boot disk, I boot to linux.  After the booting process has
finished, I immediately soft reset the machine (without rerunning LILO).  I
remove the floppy from the drive and I can then boot to win98 or linux and
the machine is fine for any number of reboots.  It runs fine until I power
down the CPU.  I have the software powerdown feature of the motherboard
enabled so it will turn its own power off.

This only appears to happen when the machine is power cycled.  I do not
believe it matters which OS is running when I power down, linux or win98
although I'm not positive I have tried to reproduce this by halting linux.
Comment 1 Need Real Name 2000-09-22 20:54:26 EDT
I have had similar issues with Lilo on my new Athlon system, but others in our
workplace have also had the exact same problem on other K-6 based systems. The
issue actually starts with L then goes to 01 01 01 01 infinitely. WE are
thinking it has something to do with the size of the drive, and no matter how
many times you rewrite lilo to the mbr it will always do this. Sure you can use
a floppy, but who really wants to. Does redhat know if there is any way to make
lilo work with a drive bigger than one GB? OR is this one of those old legacy
issues that we need so people can still use their 386 with linux?
Comment 2 Doug Ledford 2000-10-26 16:38:31 EDT
This sounds like you are installing your system without making sure that the
entire /boot partition is located in the first 1024 cylinders of the drive.  The
error you list is what happens when lilo can't find its second stage boot
loader.  Make sure you aren't setting up a system where the /boot partition is
out of lilo's reach.

Note You need to log in before you can comment on or make changes to this bug.